/*
 * LogLevel.java
 */
package de.christofreichardt.diagnosis;

/**
 * Enumeration of the pre-defined log level.
 *
 * @author Christof Reichardt
 */
public enum LogLevel {

  /**
   * indicates an information message.
   */
  INFO,
  /**
   * indicates a warning message.
   */
  WARNING,
  /**
   * indicates an error message.
   */
  ERROR,
  /**
   * indicates a more serious error message.
   */
  FATAL,
  /**
   * indicates a severe error message.
   */
  SEVERE
}
